---
galaxy_info:
  role_name: ynh_backup
  author: lydra
  description: Backup Yunohost with Ansible
  license: GPL-v3
  min_ansible_version: 2.10
  github_branch: main
  platforms:
    - name: Debian
      versions:
        - buster
  galaxy_tags:
    - yunohost
    - cloud
    - web

dependencies:
  - role: m3nu.ansible_role_borgbackup
    vars:
      borg_source_directories: "{{ borg_ynh_src_dir }}"
      borg_repository: "{{ borg_ynh_remote_repo }}"
      borgmatic_config_name: "{{ borgmatic_conf_name }}"
      borg_encryption_passphrase: "{{ borg_remote_repo_encryption_passphrase }}"
      borg_retention_policy:
        keep_daily: "{{ borg_days_to_keep }}"
        keep_weekly: "{{ borg_weeks_to_keep }}"
        keep_monthly: "{{ borg_months_to_keep }}"
      borgmatic_cron_name: "{{ borgmatic_ynh_cron_name }}"
